{
	"name": "Event_Menu",
	"events": [
		{
			"eventType": "variable",
			"name": "Menu_ON",
			"type": "boolean",
			"initialValue": "false",
			"comment": "",
			"isStatic": false,
			"isConstant": false,
			"sid": 877374200605074
		},
		{
			"eventType": "block",
			"conditions": [
				{
					"id": "on-start-of-layout",
					"objectClass": "System",
					"sid": 660269602487435
				}
			],
			"actions": [
				{
					"id": "stop-all",
					"objectClass": "Audio",
					"sid": 239049108569770
				},
				{
					"id": "set-boolean-eventvar",
					"objectClass": "System",
					"sid": 716944158347210,
					"parameters": {
						"variable": "Menu_ON",
						"value": "false"
					}
				},
				{
					"id": "set-text",
					"objectClass": "T_Haiku",
					"sid": 955914278991579,
					"parameters": {
						"text": "\"\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 355294477214993,
					"parameters": {
						"seconds": "4"
					}
				},
				{
					"id": "play",
					"objectClass": "Audio",
					"sid": 105191221314290,
					"parameters": {
						"audio-file": "Music_HipHop_1",
						"loop": "looping",
						"volume": "-10",
						"stereo-pan": "0",
						"tag-optional": "\"music1\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 855568684496715,
					"parameters": {
						"seconds": "1.0"
					}
				},
				{
					"id": "set-text",
					"objectClass": "T_Haiku",
					"sid": 288494338033627,
					"parameters": {
						"text": "\"Cae la noche\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 759568178493747,
					"parameters": {
						"seconds": "2"
					}
				},
				{
					"id": "set-text",
					"objectClass": "T_Haiku",
					"sid": 429880180371548,
					"parameters": {
						"text": "\"Cae la noche\r\ndestellos y burbujas\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 897037296447221,
					"parameters": {
						"seconds": "2"
					}
				},
				{
					"id": "set-text",
					"objectClass": "T_Haiku",
					"sid": 823601939240421,
					"parameters": {
						"text": "\"Cae la noche\r\ndestellos y burbujas\r\ncorte al vacío\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 292323749851744,
					"parameters": {
						"seconds": "2"
					}
				},
				{
					"id": "destroy",
					"objectClass": "T_Haiku",
					"sid": 840693664786425
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 605238959009833,
					"parameters": {
						"seconds": "2"
					}
				},
				{
					"id": "set-opacity",
					"objectClass": "S_Black",
					"sid": 129792416843272,
					"parameters": {
						"opacity": "90"
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 808114248376217,
					"parameters": {
						"seconds": "1"
					}
				},
				{
					"id": "set-opacity",
					"objectClass": "S_Black",
					"sid": 821214181544445,
					"parameters": {
						"opacity": "80"
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 880049256648519,
					"parameters": {
						"seconds": "1"
					}
				},
				{
					"id": "set-opacity",
					"objectClass": "S_Black",
					"sid": 239729522248998,
					"parameters": {
						"opacity": "60"
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 207548771466366,
					"parameters": {
						"seconds": "1"
					}
				},
				{
					"id": "destroy",
					"objectClass": "S_Black",
					"sid": 727069968491354
				},
				{
					"id": "set-boolean-eventvar",
					"objectClass": "System",
					"sid": 859370760346919,
					"parameters": {
						"variable": "Menu_ON",
						"value": "true"
					}
				},
				{
					"id": "set-visible",
					"objectClass": "T_Credits",
					"sid": 408294942822798,
					"parameters": {
						"visibility": "visible"
					}
				}
			],
			"sid": 648636369491960
		},
		{
			"eventType": "block",
			"conditions": [
				{
					"id": "on-click",
					"objectClass": "Mouse",
					"sid": 608232793649993,
					"parameters": {
						"mouse-button": "left",
						"click-type": "clicked"
					}
				},
				{
					"id": "compare-boolean-eventvar",
					"objectClass": "System",
					"sid": 541880463157465,
					"parameters": {
						"variable": "Menu_ON"
					}
				}
			],
			"actions": [
				{
					"id": "set-animation",
					"objectClass": "S_Player",
					"sid": 394676991300410,
					"parameters": {
						"animation": "\"Parry\"",
						"from": "beginning"
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 126812095968666,
					"parameters": {
						"seconds": ".1"
					}
				},
				{
					"id": "play",
					"objectClass": "Audio",
					"sid": 666957427142770,
					"parameters": {
						"audio-file": "Sword",
						"loop": "not-looping",
						"volume": "-10",
						"stereo-pan": "0",
						"tag-optional": "\"music1\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 680384414277428,
					"parameters": {
						"seconds": "1"
					}
				},
				{
					"id": "set-animation",
					"objectClass": "S_Player",
					"sid": 967792406865192,
					"parameters": {
						"animation": "\"Hit\"",
						"from": "beginning"
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 452323230190278,
					"parameters": {
						"seconds": ".2"
					}
				},
				{
					"id": "tween-one-property",
					"objectClass": "S_Player",
					"sid": 147718554760027,
					"behaviorType": "Tween",
					"parameters": {
						"tags": "\"\"",
						"property": "offsetX",
						"end-value": "1500",
						"time": ".5",
						"ease": "easeoutbounce",
						"destroy-on-complete": "no",
						"loop": "no",
						"ping-pong": "no",
						"repeat-count": "1"
					}
				},
				{
					"id": "play",
					"objectClass": "Audio",
					"sid": 674294771065338,
					"parameters": {
						"audio-file": "Slash",
						"loop": "not-looping",
						"volume": "-10",
						"stereo-pan": "0",
						"tag-optional": "\"music1\""
					}
				},
				{
					"id": "wait",
					"objectClass": "System",
					"sid": 220148487925607,
					"parameters": {
						"seconds": "2"
					}
				},
				{
					"id": "stop",
					"objectClass": "Audio",
					"sid": 588877180870364,
					"parameters": {
						"tag": "\"music1\""
					}
				},
				{
					"id": "go-to-layout",
					"objectClass": "System",
					"sid": 498509042961749,
					"parameters": {
						"layout": "Layout 1"
					}
				}
			],
			"sid": 311586109852795
		}
	],
	"sid": 374925405734823
}